Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.resources.client
Interface DataResource

All Superinterfaces:
  ResourcePrototype

    public interface DataResource

extends ResourcePrototype

A non-text resource. Use `DataResource.MimeType` to provide MIME Types for embedded resources which may not be determined automatically at compile time. Use `DataResource.DoNotEmbed` to prevent a resource from being embedded.

Nested Class Summary
`static interface` | `DataResource.DoNotEmbed` Specifies that the resource or resources associated with the `ResourcePrototype` should not be embedded into the compiled output.
`static interface` | `DataResource.MimeType` Specifies the MIME Type of the resource or resources associated with the `ResourcePrototype`.

Method Summary
`SafeUri` | `getSafeUri()` Retrieves a URL by which the contents of the resource can be obtained.
`java.lang.String` | `getUrl()` Deprecated. Use `getSafeUri()` instead.

Methods inherited from interface com.google.gwt.resources.client.ResourcePrototype
`getName`

Method Detail

### getSafeUri

    SafeUri getSafeUri()

  Retrieves a URL by which the contents of the resource can be obtained. This will be an absolute URL.

### getUrl

    @Deprecated
    java.lang.String getUrl()

  Deprecated. Use `getSafeUri()` instead.

  Retrieves a URL by which the contents of the resource can be obtained. This will be an absolute URL.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD